#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library providing ability to interpret and import Visio diagrams
Summary(pl.UTF-8):	Biblioteka umożliwiająca interpretowanie i importowanie diagramów Visio
Name:		libvisio
Version:	0.1.3
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/libvisio/%{name}-%{version}.tar.xz
# Source0-md5:	fda521a18bbfccc5f034ea02119e7998
URL:		http://www.freedesktop.org/wiki/Software/libvisio
BuildRequires:	boost-devel >= 1.36
BuildRequires:	doxygen
BuildRequires:	gperf >= 3
BuildRequires:	libicu-devel
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libwpd-devel >= 0.9.5
BuildRequires:	libwpg-devel >= 0.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libwpd >= 0.9.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvisio is library providing ability to interpret and import Visio
diagrams into various applications. You can find it being used in
libreoffice.

%description -l pl.UTF-8
Libvisio to biblioteka umożliwiająca interpretowanie i importowanie
diagramów Visio do wielu aplikacji. Jest wykorzystywana przez
libreoffice.

%package devel
Summary:	Development files for libvisio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvisio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libicu-devel
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0
Requires:	zlib-devel

%description devel
This package contains the header files for developing applications
that use libvisio.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
bibliotece libvisio.

%package static
Summary:	Static libvisio library
Summary(pl.UTF-8):	Statyczna biblioteka libvisio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvisio library.

%description static -l pl.UTF-8
Statyczna biblioteka libvisio.

%package apidocs
Summary:	API documentation for libvisio library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libvisio
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for libvisio library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libvisio.

%package tools
Summary:	Tools to transform Visio diagrams into other formats
Summary(pl.UTF-8):	Programy przekształcania diagramów Visio do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Visio diagrams into other formats. Currently
supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania diagramów Visio do innych formatów.
Aktualnie obsługiwane są XHTML i raw.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libvisio-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvisio-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvisio-0.1.so
%{_includedir}/libvisio-0.1
%{_pkgconfigdir}/libvisio-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvisio-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vsd2raw
%attr(755,root,root) %{_bindir}/vsd2text
%attr(755,root,root) %{_bindir}/vsd2xhtml
%attr(755,root,root) %{_bindir}/vss2raw
%attr(755,root,root) %{_bindir}/vss2text
%attr(755,root,root) %{_bindir}/vss2xhtml
%changelog
* Sat Aug 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libvisio.git;a=log;h=master

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> e42ede2
- updated to 0.1.3

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> b0d6a0f
- icu rebuild
- release 3 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> ee2456a
- noarch apidocs

* Thu Feb 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 430cc00
- updated to 0.1.1

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e9782d
- release 2 (by relup.sh)

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> ad3412e
- updated to 0.1.0 (now librevenge based; new soname, 0.0.x left on libvisio-0.0 branch)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> de21f3d
- release 2 (by relup.sh)

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> cead274
- updated to 0.0.31

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 6d4ab4a
- updated to 0.0.30

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> ffe3e94
- updated to 0.0.28

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 28aea94
- updated to 0.0.26

* Fri Dec 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 7289ee7
- updated to 0.0.24

* Sat Dec 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 430abc4
- updated to 0.0.23

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b238e2
- updated to 0.0.21

* Fri Nov 09 2012 Jakub Bogusz <qboosh@pld-linux.org> fbc46df
- updated to 0.0.20

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4ff1d74
- updated to 0.0.19

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 48d5539
- updated to 0.0.18

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> a94f20e
- updated to 0.0.17

* Mon Apr 16 2012 Jakub Bogusz <qboosh@pld-linux.org> fdc954e
- updated to 0.0.16

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 5980bb8
- fixed build without static_libs

